log4cpp: log4cpp::OstreamAppender Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# log4cpp::OstreamAppender Class Reference

OstreamAppender appends LoggingEvents to ostreams. More...

`#include <OstreamAppender.hh>`

Inheritance diagram for log4cpp::OstreamAppender:

[legend]
Collaboration diagram for log4cpp::OstreamAppender:

[legend]
List of all members.

## Public Member Functions
| OstreamAppender (const std::string &name, std::ostream *stream)
virtual | ~OstreamAppender ()
virtual bool | reopen ()
| Reopens the output destination of this Appender, e.g.
virtual void | close ()
| Release any resources allocated within the appender such as file handles, network connections, etc.
## Protected Member Functions
virtual void | _append (const LoggingEvent &event)
| Log in Appender specific way.
## Protected Attributes
std::ostream * | _stream

## Detailed Description

OstreamAppender appends LoggingEvents to ostreams.

## Constructor & Destructor Documentation

log4cpp::OstreamAppender::OstreamAppender | ( | const std::string & | name,
|  | std::ostream * | stream |
| ) |  |  |

log4cpp::OstreamAppender::~OstreamAppender | ( |  | ) | `[virtual]`

## Member Function Documentation

bool log4cpp::OstreamAppender::reopen | ( |  | ) | `[virtual]`

Reopens the output destination of this Appender, e.g.

the logfile or TCP socket.

Returns:
  false if an error occured during reopening, true otherwise.

Reimplemented from log4cpp::AppenderSkeleton.

void log4cpp::OstreamAppender::close | ( |  | ) | `[virtual]`

Release any resources allocated within the appender such as file handles, network connections, etc.

Implements log4cpp::AppenderSkeleton.

void log4cpp::OstreamAppender::_append | ( | const LoggingEvent & | event | ) | `[protected, virtual]`

Log in Appender specific way.

Subclasses of Appender should implement this method to perform actual logging.

Parameters:

  | event | The LoggingEvent to log.

Implements log4cpp::AppenderSkeleton.

## Member Data Documentation

std::ostream* log4cpp::OstreamAppender::_stream`[protected]`

The documentation for this class was generated from the following files:

- OstreamAppender.hh
- OstreamAppender.cpp